# cargopacket.cpp File Reference

Implementation of the cargo packets. More...

`#include "stdafx.h"`
`#include "core/pool_func.hpp"`
`#include "economy_base.h"`

Go to the source code of this file.

## Functions
void | InitializeCargoPackets ()
| Initialize, i.e.
## Variables
CargoPacketPool | _cargopacket_pool ("CargoPacket")
| The actual pool with cargo packets.

## Detailed Description

Implementation of the cargo packets.

Definition in file cargopacket.cpp.

## Function Documentation

void InitializeCargoPackets | ( |  | ) |

Initialize, i.e.

clean, the pool with cargo packets.

Definition at line 23 of file cargopacket.cpp.

References _cargopacket_pool, and Pool< Titem, Tindex, Tgrowth_step, Tmax_size, Tcache, Tzero >::CleanPool().